manila: incorrect setting for neutron_admin_auth_url

Bug #1712908 reported by Tom Barron on 2017-08-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Medium
Tom Barron

Bug Description

Description
===========
When deploying manila tripleo sets neutron_admin_auth_url in /etc/manila/manila.conf to the Neutron Admin URL even though this config parameter is for *authorization*. It should instead be set to the Keystone Internal URL.

Steps to reproduce
==================
Deploy manila via TripleO.

Expected result
===============
Value of 'neutron_admin_auth_url' is the keystone internal url.

Actual result
=============
Value of 'neutron_admin_auth_url' is the neutron administrative url.

Environment
===========
Any version of OpenStack up to master.

Logs & Configs
==============
http://paste.openstack.org/show/619357/

Tom Barron (tpb) on 2017-08-24
Changed in tripleo:
assignee: nobody → Tom Barron (tpb)
status: New → Confirmed
tags: added: newton-backport-potential ocata-backport-potential

Fix proposed to branch: master
Review: https://review.openstack.org/497604

Changed in tripleo:
status: Confirmed → In Progress
Changed in tripleo:
importance: Undecided → High
milestone: none → pike-rc2
Tom Barron (tpb) on 2017-08-25
Changed in tripleo:
importance: High → Medium
Tom Barron (tpb) on 2017-08-30
tags: added: pike-backport-potential

Reviewed: https://review.openstack.org/497604
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=7380183cf590b74f5ad84bb40a8afa08979c235b
Submitter: Jenkins
Branch: master

commit 7380183cf590b74f5ad84bb40a8afa08979c235b
Author: Tom Barron <email address hidden>
Date: Thu Aug 24 15:55:41 2017 -0400

    manila: set "neutron_admin_auth_url" correctly

    It was being set using NeutronAdmin endpoint but it is an
    authorization url. Set it using KeystoneInternal endpoint.

    Change-Id: I23f4a895628ac909a1fe1f93cecefa84f25858b1
    Closes-Bug: #1712908

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/500145
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=bdccc1cb760ea545dc1c0e12b1088e3b61886929
Submitter: Jenkins
Branch: stable/pike

commit bdccc1cb760ea545dc1c0e12b1088e3b61886929
Author: Tom Barron <email address hidden>
Date: Thu Aug 24 15:55:41 2017 -0400

    manila: set "neutron_admin_auth_url" correctly

    It was being set using NeutronAdmin endpoint but it is an
    authorization url. Set it using KeystoneInternal endpoint.

    Change-Id: I23f4a895628ac909a1fe1f93cecefa84f25858b1
    Closes-Bug: #1712908
    (cherry picked from commit 7380183cf590b74f5ad84bb40a8afa08979c235b)

tags: added: in-stable-pike

Reviewed: https://review.openstack.org/501225
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=1897de9f6f205b18e466da2e8f7966e63ad515d1
Submitter: Jenkins
Branch: stable/ocata

commit 1897de9f6f205b18e466da2e8f7966e63ad515d1
Author: Tom Barron <email address hidden>
Date: Thu Aug 24 15:55:41 2017 -0400

    manila: set "neutron_admin_auth_url" correctly

    It was being set using NeutronAdmin endpoint but it is an
    authorization url. Set it using KeystoneInternal endpoint.

    Change-Id: I23f4a895628ac909a1fe1f93cecefa84f25858b1
    Closes-Bug: #1712908
    (cherry picked from commit 7380183cf590b74f5ad84bb40a8afa08979c235b)
    (cherry picked from commit bdccc1cb760ea545dc1c0e12b1088e3b61886929)

tags: added: in-stable-ocata

Reviewed: https://review.openstack.org/501519
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=4cacd8f2568ebded556e4ae579d72236180cd857
Submitter: Jenkins
Branch: stable/newton

commit 4cacd8f2568ebded556e4ae579d72236180cd857
Author: Tom Barron <email address hidden>
Date: Thu Aug 24 15:55:41 2017 -0400

    manila: set "neutron_admin_auth_url" correctly

    It was being set using NeutronAdmin endpoint but it is an
    authorization url. Set it using KeystoneInternal endpoint.

    Change-Id: I23f4a895628ac909a1fe1f93cecefa84f25858b1
    Closes-Bug: #1712908
    (cherry picked from commit 7380183cf590b74f5ad84bb40a8afa08979c235b)
    (cherry picked from commit bdccc1cb760ea545dc1c0e12b1088e3b61886929)
    (cherry picked from commit 1897de9f6f205b18e466da2e8f7966e63ad515d1)

tags: added: in-stable-newton

This issue was fixed in the openstack/tripleo-heat-templates 7.0.0.0rc2 release candidate.

This issue was fixed in the openstack/tripleo-heat-templates 5.3.2 release.

This issue was fixed in the openstack/tripleo-heat-templates 6.2.2 release.

This issue was fixed in the openstack/tripleo-heat-templates 8.0.0.0b1 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers